srecord: srecord::input_filter_checksum_bitnot Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::input_filter_checksum_bitnot Class Reference

The srecord::input_filter_checksum_bitnot class is used to represent the state of a checksum filter that inserts a bitnot sum into the data. More...

`#include <bitnot.h>`

Inheritance diagram for srecord::input_filter_checksum_bitnot:
[legend]
Collaboration diagram for srecord::input_filter_checksum_bitnot:
[legend]

## Public Member Functions
virtual | ~input_filter_checksum_bitnot ()
| The destructor.
Public Member Functions inherited from srecord::input_filter_checksum
virtual | ~input_filter_checksum ()
| The destructor.
Public Member Functions inherited from srecord::input_filter
virtual | ~input_filter ()
| The destructor.
std::string | filename () const
| The filename method is used to get the name of the input file being processed.
std::string | filename_and_line () const
| The filename_and_line method is used to get the name and current line number within the file.
const char * | get_file_format_name () const
| The get_file_format_name method is used to find out the name of the file format being read.
void | disable_checksum_validation ()
| The disable_checksum_validation method is used to have this input stream ignore checksum errors.
Public Member Functions inherited from srecord::input
virtual | ~input ()
| The destructor.
virtual void | fatal_error (const char *,...) const FORMAT_PRINTF(2
| The fatal_error method is used to report problems parsing the file.
virtual void virtual void | fatal_error_errno (const char *,...) const FORMAT_PRINTF(2
| The fatal_error_errno method is used to report problems reading the input file.
virtual void virtual void virtual void | warning (const char *,...) const FORMAT_PRINTF(2
| The warning method is used to report potential (but non-fatal) problems parsing the file.
void | set_quit (quit &)
| The set_quit method is used to set the disposition of the error messages, and the "exit" implementation.
void | reset_quit (void)
| The reset_quit method is used to cause the disposition of the error messages, and the "exit" back to the default.
virtual void | command_line (srecord::arglex_tool *cmdln)
| The command_line method is used by arglex_srec::get_input when parsing the command line, to give a format or filter an opportunity to grab extra arguments off the command line.

## Static Public Member Functions
static pointer | create (const input::pointer &deeper, int address, int length, endian_t end, int width=1)
| The create class method is used to create new dynamically allocated instances of this class.

## Protected Member Functions
sum_t | calculate ()
| The calculate method is used to calculate the checksum to be written into the output, based on the "sum" instance variable.
Protected Member Functions inherited from srecord::input_filter_checksum
bool | read (record &record)
| The read method is used to read one record from the input.
| input_filter_checksum (input::pointer deeper, int address, int length, endian_t end, int width=1)
| The constructor.
bool | generate (record &record)
| The generate method is used to generate the final data record, once all of the deeper input has been passed through, based on the calculated checksum.
Protected Member Functions inherited from srecord::input_filter
| input_filter (input::pointer deeper)
| The constructor.
Protected Member Functions inherited from srecord::input
| input ()
| The default constructor.

## Additional Inherited Members
Public Types inherited from srecord::input
typedef std::shared_ptr< input > | pointer
Protected Types inherited from srecord::input_filter_checksum
typedef unsigned long | sum_t
Protected Attributes inherited from srecord::input_filter_checksum
int | checksum_address
| The checksum_address instance variable is used to remember where to place the checksum at the end of the data.
int | length
| The length instance variable is used to remember how many bytes of checksum are to be emitted.
endian_t | end
| The end instance variable is used to remember whether the summation for the checksum is bigendian or little endian.
sum_t | sum
| The sum instance variable is used to remember the running checksum of the incoming data source.
int | width
| The width instance variable is used to remember the swathe width as the incoming bytes are added to the running sum.
Protected Attributes inherited from srecord::input_filter
pointer | ifp

## Detailed Description

The srecord::input_filter_checksum_bitnot class is used to represent the state of a checksum filter that inserts a bitnot sum into the data.

Definition at line 31 of file bitnot.h.

## Constructor & Destructor Documentation

## ◆ ~input_filter_checksum_bitnot()

virtual srecord::input_filter_checksum_bitnot::~input_filter_checksum_bitnot | ( |  | ) |
| virtual

The destructor.

References srecord::input_filter_checksum::end, srecord::input_filter_checksum::length, and srecord::input_filter_checksum::width.

## Member Function Documentation

## ◆ create()

pointer srecord::input_filter_checksum_bitnot::create | ( | const input::pointer & | deeper,
|  | int | address,
|  | int | length,
|  | endian_t | end,
|  | int | width = 1 )
| static

The create class method is used to create new dynamically allocated instances of this class.

Parameters

  deeper | The incoming data source to be filtered
  address | The address to place the checksum.
  length | The number of bytes of checksum to be placed into the result.
  end | The byte order.
  width | The width of the values being summed. Usually 1 byte, but wider combinations are possible. If you use something wider, it is assumed that they are alligned on multiples of that width, no provision for an offset is provided.

References srecord::input_filter_checksum::end, srecord::input_filter_checksum::length, and srecord::input_filter_checksum::width.

## ◆ calculate()

sum_t srecord::input_filter_checksum_bitnot::calculate | ( |  | ) |
| protectedvirtual

The calculate method is used to calculate the checksum to be written into the output, based on the "sum" instance variable.

Implements srecord::input_filter_checksum.

The documentation for this class was generated from the following file:

- input/filter/checksum/bitnot.h